
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "twitter_meme/version"

Gem::Specification.new do |spec|
  spec.name          = "twitter_meme"
  spec.version       = TwitterMeme::VERSION
  spec.authors       = ["Josh Frye"]
  spec.email         = ["josh@joshfrye.com"]

  spec.summary       = "Mirror twitter accounts to parody meme accounts"
  spec.description   = "twitter_meme allows you to follow a twitter account and repost tweets as meme images"
  spec.homepage      = "https://github.com/joshfng/twitter_meme"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   = "twitter_meme"
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.1"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "rspec", "~> 3.9"
  spec.add_dependency "twitter", "~> 7.0"
  spec.add_dependency "rest-client", "~> 2.1"
end
